feat: add bash 4 requirement

This commit is contained in:
Hugo Pointcheval 2023-11-09 16:03:55 +01:00
parent dabee753f9
commit 3e21583f8f
Signed by: hugo
GPG Key ID: 3AAC487E131E00BC

View File

@ -196,6 +196,12 @@ output_dir="$script_dir/$output"
## PREREQUISITES CHECK
# Check for bash >= 4.0
if [ "${BASH_VERSINFO:-0}" -lt 4 ]; then
log "bash >= 4.0 is required. Aborting."
exit 1
fi
# Check for dotnet
command_exists dotnet || {
log "dotnet is required but it's not installed or not in PATH. Aborting."
@ -301,4 +307,10 @@ if [ "$BUILD_IOS" = true ]; then
build_ios
fi
echo "Build completed. See $log_file for details."
# Check last command exit code
if [ $? -ne 0 ]; then
log "Build failed. See $log_file for details."
exit 1
else
log "Finished building. See $log_file for details."
fi